# Uses of Class
org.apache.sysds.runtime.instructions.cp.BinaryCPInstruction

Packages that use BinaryCPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.instructions.fed

## Uses of BinaryCPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type BinaryCPInstruction
Modifier and Type
Method
Description
`static double`
CPCostUtils.`getBinaryInstTime(BinaryCPInstruction inst, VarStats input1, VarStats input2, VarStats weights, VarStats output, IOCostUtils.IOMetrics metrics)`

## Uses of BinaryCPInstruction in org.apache.sysds.runtime.instructions.cp

Subclasses of BinaryCPInstruction in org.apache.sysds.runtime.instructions.cp
Modifier and Type
Class
Description
`class`
`AggregateBinaryCPInstruction`
`class`
`AppendCPInstruction`
`class`
`BinaryFrameFrameCPInstruction`
`class`
`BinaryFrameMatrixCPInstruction`
`class`
`BinaryFrameScalarCPInstruction`
`class`
`BinaryMatrixMatrixCPInstruction`
`class`
`BinaryMatrixScalarCPInstruction`
`class`
`BinaryScalarScalarCPInstruction`
`class`
`BinaryTensorTensorCPInstruction`
`class`
`CovarianceCPInstruction`
`final class`
`FrameAppendCPInstruction`
`final class`
`ListAppendRemoveCPInstruction`
`final class`
`MatrixAppendCPInstruction`
`class`
`QuantilePickCPInstruction`
`final class`
`ScalarAppendCPInstruction`
`class`
`UnionCPInstruction`
Methods in org.apache.sysds.runtime.instructions.cp that return BinaryCPInstruction
Modifier and Type
Method
Description
`static BinaryCPInstruction`
BinaryCPInstruction.`parseInstruction(String str)`

## Uses of BinaryCPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type BinaryCPInstruction
Modifier and Type
Method
Description
`static BinaryFEDInstruction`
BinaryFEDInstruction.`parseInstruction(BinaryCPInstruction inst, ExecutionContext ec)`